This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 124669 - RFE: build busybox static for subpackage initrd and add mount by label
RFE: build busybox static for subpackage initrd and add mount by label
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 09:04 EDT by Harald Hoyer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 15:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
specfile patch (3.25 KB, patch)
2004-05-28 09:04 EDT, Harald Hoyer
no flags Details | Diff
patch to mount by label (15.02 KB, patch)
2004-05-28 09:05 EDT, Harald Hoyer
no flags Details | Diff
the .config for busybox to build busybox-initrd (8.06 KB, patch)
2004-05-28 09:06 EDT, Harald Hoyer
no flags Details | Diff

  None (edit)
Description Harald Hoyer 2004-05-28 09:04:24 EDT
With the attached patches it is possible to build busybox static with
an extended mount, which can mount by label. This would allow us to
drop nash and use busybox for the initrd.
Comment 1 Harald Hoyer 2004-05-28 09:04:53 EDT
Created attachment 100659 [details]
specfile patch
Comment 2 Harald Hoyer 2004-05-28 09:05:32 EDT
Created attachment 100660 [details]
patch to mount by label
Comment 3 Harald Hoyer 2004-05-28 09:06:42 EDT
Created attachment 100661 [details]
the .config for busybox to build busybox-initrd
Comment 4 Jeremy Katz 2004-06-01 18:29:47 EDT
FWIW, I'd rather look at making it so that there's only one busybox
binary instead of three.  Having it static definitely makes sense and
I can't see a convincing reason to have completely different config sets.
Comment 5 Harald Hoyer 2004-06-02 04:34:04 EDT
static is the key, as the other configurations haven't been static!
Beware of glibc getuid() and friends. They need the dynamic .so's at
runtime (nsswitch.conf).
Comment 6 Daniel Walsh 2004-09-16 15:11:07 EDT
Busy box is now build static

Note You need to log in before you can comment on or make changes to this bug.